summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Dominik Drobek <dominik.drobek (at) o2.pl>2018-07-09 22:07:32 +0100
committer David Spencer <idlemoor@slackbuilds.org>2018-07-09 22:07:32 +0100
commit7d52c4b76366029222bd8c53713a0a2dc389514b (patch)
treebc72108f8132517758caa73c7c6e0deed4b5338d
parente9f1ade9d655996dab4908181dc2e50e51535992 (diff)
downloadslackbuilds-7d52c4b76.tar.gz
slackbuilds-7d52c4b76.tar.xz
network/mattermost-desktop: Added (open-source Slack alternative).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
-rw-r--r--network/mattermost-desktop/README5
-rw-r--r--network/mattermost-desktop/doinst.sh3
-rw-r--r--network/mattermost-desktop/mattermost-desktop.SlackBuild100
-rw-r--r--network/mattermost-desktop/mattermost-desktop.desktop8
-rw-r--r--network/mattermost-desktop/mattermost-desktop.info10
-rw-r--r--network/mattermost-desktop/slack-desc19
6 files changed, 145 insertions, 0 deletions
diff --git a/network/mattermost-desktop/README b/network/mattermost-desktop/README
new file mode 100644
index 0000000000..59a20212b4
--- /dev/null
+++ b/network/mattermost-desktop/README
@@ -0,0 +1,5 @@
+This is the desktop client app for Mattermost, an open-source Slack
+alternative.
+
+This SlackBuild repackages the official Mattermost 64- or 32-bit
+binary distribution as a Slackware package.
diff --git a/network/mattermost-desktop/doinst.sh b/network/mattermost-desktop/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/network/mattermost-desktop/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/network/mattermost-desktop/mattermost-desktop.SlackBuild b/network/mattermost-desktop/mattermost-desktop.SlackBuild
new file mode 100644
index 0000000000..eedcb7b27c
--- /dev/null
+++ b/network/mattermost-desktop/mattermost-desktop.SlackBuild
@@ -0,0 +1,100 @@
+#!/bin/sh
+
+# Slackware build script for mattermost-desktop
+
+# Copyright 2018 Dominik Drobek <dominik.drobek (at) o2.pl>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=mattermost-desktop
+VERSION=${VERSION:-4.1.2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "x86_64" ]; then
+ SRCARCH="x64"
+ DIRSUFFIX=""
+ PKGARCH="$ARCH"
+elif [ "$ARCH" = "i586" ] || [ "$ARCH" = "i686" ]; then
+ SRCARCH="ia32"
+ DIRSUFFIX="-ia32"
+ PKGARCH="i586"
+else
+ echo "$ARCH is not supported for $PRGNAM"
+ exit 1
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION$DIRSUFFIX
+tar xvf $CWD/$PRGNAM-$VERSION-linux-$SRCARCH.tar.gz
+cd $PRGNAM-$VERSION$DIRSUFFIX
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p $PKG/opt/$PRGNAM
+cp -a locales/ resources/ *.bin *.dat *.pak *.so $PRGNAM $PKG/opt/$PRGNAM
+
+mkdir -p $PKG/usr/share/{applications,pixmaps}
+install -m 644 $CWD/$PRGNAM.desktop $PKG/usr/share/applications
+install -m 644 icon.png $PKG/usr/share/pixmaps/$PRGNAM.png
+
+mkdir -p $PKG/usr/bin
+ln -sf /opt/$PRGNAM/$PRGNAM $PKG/usr/bin/$PRGNAM
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ LICENSE* NOTICE.txt README.md \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+# fix 755 permissions on resource files and documentation:
+find -L $PKG/opt/$PRGNAM \
+ \( -name "*.asar" -o -name "*.bin" -o -name "*.dat" -o -name "*.pak" \) \
+ -exec chmod 644 {} \;
+
+find -L $PKG/usr/doc/$PRGNAM-$VERSION \
+ -type f -exec chmod 644 {} \;
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$PKGARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/mattermost-desktop/mattermost-desktop.desktop b/network/mattermost-desktop/mattermost-desktop.desktop
new file mode 100644
index 0000000000..806e441ec7
--- /dev/null
+++ b/network/mattermost-desktop/mattermost-desktop.desktop
@@ -0,0 +1,8 @@
+[Desktop Entry]
+Name=Mattermost
+Comment=Mattermost Desktop application for Linux
+Exec=mattermost-desktop
+Terminal=false
+Type=Application
+Icon=mattermost-desktop
+Categories=Network;InstantMessaging;
diff --git a/network/mattermost-desktop/mattermost-desktop.info b/network/mattermost-desktop/mattermost-desktop.info
new file mode 100644
index 0000000000..825fad9856
--- /dev/null
+++ b/network/mattermost-desktop/mattermost-desktop.info
@@ -0,0 +1,10 @@
+PRGNAM="mattermost-desktop"
+VERSION="4.1.2"
+HOMEPAGE="https://mattermost.com"
+DOWNLOAD="https://releases.mattermost.com/desktop/4.1.2/mattermost-desktop-4.1.2-linux-ia32.tar.gz"
+MD5SUM="348077c9ead623fc5f244732743bbb16"
+DOWNLOAD_x86_64="https://releases.mattermost.com/desktop/4.1.2/mattermost-desktop-4.1.2-linux-x64.tar.gz"
+MD5SUM_x86_64="830973e0170f1bb164e596017a108263"
+REQUIRES=""
+MAINTAINER="Dominik Drobek"
+EMAIL="dominik.drobek (at) o2.pl"
diff --git a/network/mattermost-desktop/slack-desc b/network/mattermost-desktop/slack-desc
new file mode 100644
index 0000000000..07434fc056
--- /dev/null
+++ b/network/mattermost-desktop/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+mattermost-desktop: mattermost-desktop (open-source Slack alternative)
+mattermost-desktop:
+mattermost-desktop: This is the desktop client app for Mattermost, an open-source Slack
+mattermost-desktop: alternative.
+mattermost-desktop:
+mattermost-desktop: Homepage: https://mattermost.com
+mattermost-desktop:
+mattermost-desktop:
+mattermost-desktop:
+mattermost-desktop:
+mattermost-desktop: